### Virtual Method

# Gtk.CellRenderer.snapshot

#### Declaration [src]

    void
    snapshot (
      GtkCellRenderer* cell,
      GtkSnapshot* snapshot,
      GtkWidget* widget,
      const GdkRectangle* background_area,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

Invokes the virtual render function of the `GtkCellRenderer`. The three passed-in rectangles are areas in `cr`. Most renderers will draw within `cell_area`; the xalign, yalign, xpad, and ypad fields of the `GtkCellRenderer` should be honored with respect to `cell_area`. `background_area` includes the blank space around the cell, and also the area containing the tree expander; so the `background_area` rectangles for all cells tile to cover the entire `window`.

#### Parameters

`snapshot` | `GtkSnapshot`
| a `GtkSnapshot` to draw to
| Ownership is not transferred to the callee
`widget` | `GtkWidget`
| the widget owning `window`
| Ownership is not transferred to the callee
`background_area` | `const GdkRectangle*`
| entire cell area (including tree expanders and maybe padding on the sides)
| Ownership is not transferred to the callee
`cell_area` | `const GdkRectangle*`
| area normally rendered by a cell renderer
| Ownership is not transferred to the callee
`flags` | `GtkCellRendererState`
| flags that affect rendering